> For the complete documentation index, see [llms.txt](https://docs.stylemixthemes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stylemixthemes.com/masterstudy-lms/developers-guide/masterstudy-lms-hooks/media-file-manager.md).

# Media File Manager

## Actions

1. **`stm_lms_media_library_upload_image`**

**Description:**\
This action is triggered whenever a new image is uploaded to the [**Media Library**](/masterstudy-lms/developers-guide/masterstudy-lms-hooks/media-file-manager.md). You can use it to perform additional tasks such as sending notifications, syncing with external services, or logging uploads.

**Parameters:**

* `$attachment_id` (integer) — The ID of the uploaded image.

**Example usage:**

```php
add_action( 'stm_lms_media_library_upload_image', 'stm_lms_media_library_upload_image_function', 10, 1 );

function stm_lms_media_library_upload_image_function( $attachment_id ) {
    $response = wp_remote_post(
        'https://demo-website.com/',
        array( 'body' => 'Image with ID ' . $attachment_id . ' has been uploaded.' )
    );

    $body = wp_remote_retrieve_body( $response );

    if ( is_wp_error( $response ) || is_wp_error( $body ) ) {
        $errors[] = 'There was an error occurred after sending a request';
        return $errors;
    }
}
```

**Explanation:**\
The above example sends a request to an external API whenever an image is uploaded. If the request fails, an error message is returned.

2. **`stm_lms_media_library_delete_image`**

**Description:**\
This action is triggered when an image is deleted from the Media Library. It can be used to clean up external storage, notify third-party services, or log deletions.

**Example usage:**

```php
add_action( 'stm_lms_media_library_delete_image', 'stm_lms_media_library_delete_image_function');
	function stm_lms_media_library_delete_image_function(){
		$response = wp_remote_post(
			'https://demo-website.com/',
			array( 'body' => 'Image from media-library has been deleted.')
		);
		$body     = wp_remote_retrieve_body( $response );

		if ( is_wp_error( $response ) || is_wp_error( $body ) ) {
		$errors[] = 'There was an error occurred after sening a request';
			return $errors;
		}
	}
```

**Explanation:**\
In this example, a request is sent to an external URL whenever an image is deleted. Error handling ensures any issues are caught.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stylemixthemes.com/masterstudy-lms/developers-guide/masterstudy-lms-hooks/media-file-manager.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
